No Results
Search Tips:
- Please consider misspellings
- Try different search keywords
Newer Version Available
Get Search Result Layouts for Objects
Use the Search Result Layouts resource to retrieve the search result layout configuration for each object specified in the query string.
- Example usage
1curl https://na1.salesforce.com/services/data/v28.0/searchlayout/?q=Account,Contact,Lead,Asset "Authorization: Bearer token"- Example request body
- None required
- Example response body
1[ { "label" : "Search Results", 2 "limitRows" : 25, 3 "searchColumns" : [ { "field" : "Account.Name", 4 "format" : null, 5 "label" : "Account Name", 6 "name" : "Name" 7 }, 8 { "field" : "Account.Site", 9 "format" : null, 10 "label" : "Account Site", 11 "name" : "Site" 12 }, 13 { "field" : "Account.Phone", 14 "format" : null, 15 "label" : "Phone", 16 "name" : "Phone" 17 }, 18 { "field" : "User.Alias", 19 "format" : null, 20 "label" : "Account Owner Alias", 21 "name" : "Owner.Alias" 22 } 23 ] 24 }, 25 { "label" : "Search Results", 26 "limitRows" : 25, 27 "searchColumns" : [ { "field" : "Contact.Name", 28 "format" : null, 29 "label" : "Name", 30 "name" : "Name" 31 }, 32 { "field" : "Account.Name", 33 "format" : null, 34 "label" : "Account Name", 35 "name" : "Account.Name" 36 }, 37 { "field" : "Account.Site", 38 "format" : null, 39 "label" : "Account Site", 40 "name" : "Account.Site" 41 }, 42 { "field" : "Contact.Phone", 43 "format" : null, 44 "label" : "Phone", 45 "name" : "Phone" 46 }, 47 { "field" : "Contact.Email", 48 "format" : null, 49 "label" : "Email", 50 "name" : "Email" 51 }, 52 { "field" : "User.Alias", 53 "format" : null, 54 "label" : "Contact Owner Alias", 55 "name" : "Owner.Alias" 56 } 57 ] 58 }, 59 { "label" : "Search Results", 60 "limitRows" : 25, 61 "searchColumns" : [ { "field" : "Lead.Name", 62 "format" : null, 63 "label" : "Name", 64 "name" : "Name" 65 }, 66 { "field" : "Lead.Title", 67 "format" : null, 68 "label" : "Title", 69 "name" : "Title" 70 }, 71 { "field" : "Lead.Phone", 72 "format" : null, 73 "label" : "Phone", 74 "name" : "Phone" 75 }, 76 { "field" : "Lead.Company", 77 "format" : null, 78 "label" : "Company", 79 "name" : "Company" 80 }, 81 { "field" : "Lead.Email", 82 "format" : null, 83 "label" : "Email", 84 "name" : "Email" 85 }, 86 { "field" : "Lead.Status", 87 "format" : null, 88 "label" : "Lead Status", 89 "name" : "toLabel(Status)" 90 }, 91 { "field" : "Name.Alias", 92 "format" : null, 93 "label" : "Owner Alias", 94 "name" : "Owner.Alias" 95 } 96 ] 97 }, 98]